.dark .tido {

  .openseadragon-canvas {
    // invert autography panel in dark mode
    -webkit-filter: invert(100%);
    filter: invert(100%);
  }

}

.tido {

  font-family: unset !important;
  
  .col {
    padding: 0 !important;
  }
  
  .flex {
    flex: unset;
    max-width: unset;
  }

  .header {
    padding: 0 !important;
  }

  /*  The following CSS block (.header > ...) displays the
        TIDO title as part of the breadcrumbs navigation. */
  .header > div:first-child {
    margin: 0;
  }
  .header > div:first-child > :not(div:first-child) {
    display: none;
  }
  .header > div:first-child > div:first-child > :not(h2) {
    display: none;
  }
  .header > div:first-child > div:first-child > h2 {
    color: var(--c-text);
    font-size: 87.5% !important;
    font-weight: 400 !important;
    left: calc(3em + 4.43em + 5em);
    margin: 0 !important;
    padding: 0 !important;
    position: fixed;
    top: 4.67em;
    white-space: nowrap;
    z-index: 2;
  }
  .header > div:first-child > div:first-child > h2 > :not(span:first-child) {
    display: none;
  }
  .header > div:first-child > div:first-child > h2 > span:first-child::before {
    content: "";
    border-bottom: 4px solid transparent;
    border-left: 6px solid var(--c-bg-arrow);
    border-top: 4px solid transparent;
    display: inline-block;
    height: 0;
    margin-left: -1.1em;
    padding-left: 0.67em;
    width: 0;
  }

  .panel {
    min-width: min-content;
  }
  
  .panels-wrapper {
    margin-bottom: 1em !important;
    padding-left: 0 !important;
    padding-right: 0 !important;
  }
    
  .row {
    margin-bottom: 0 !important;
    margin-top: 0 !important;
  }
  
  .text-body1 {
    font-size: 1rem !important;
  }
  
  .text-h1 {
    font-size: 1.7rem !important;
  }
  
  .text-h2 {
    font-size: 1.2rem !important;
  }

  a {
    color: var(--theme-color);
    font-weight: inherit;
  }

}

.tido > div:first-child {
  // adjust TIDO's background color to the website's background color
  background-color: var(--c-bg) !important;
}

.viewer-page {
  height: calc(100vh - var(--navbar-height));
  padding-bottom: 0;
  padding-left: 0;
}

.viewer-page > #breadcrumbs {
  white-space: nowrap;
}
